**`MICHAEL XIAO`[NAME]** -NL- **`xiaomichaelxiaomi@outlook.com`[EMAILS_EMAIL]** -NL- **`SUMMARY:`[SUMMARY_HEADING]** -NL-  Dedicated professional as Data Engineer with a solid background in Hadoop ecosystem like -NL- HDFS, MapReduce, Spark, Hive, Kafka, Pig, Sqoop, MangoDB, HBase, Cassandra, -NL- Flume and Zookeeper -NL-  Professional experience in IT industry as a software Engineer with a background in design, -NL- development, and testing of applications. -NL-  Worked in various domains including E-commerce, Finance and Media -NL-  Have a deep understanding of workload management, schedulers, scalability and distributed -NL- platform architectures -NL-  Experienced in Python libraries like PySpark, Numpy, Scipy, OpenCV, PyAudio, TKinter, -NL- Tensorflow, PyTorch, Keras, Pandas, Seaborn, Matplotlib programming for statistic and -NL- quantitative analysis and visualization -NL-  Proficient in Statistical Modeling, Data Mining and Machine Learning Algorithms in Data -NL- Science/Forecasting/Predictive Analytics such as Linear and Logistics Regression, Random -NL- Forest, Naive Bayes, K-means, Decision Trees, SVM, Neural Network, CNN -NL-  Strong knowledge of Computer Vision algorithms in image and video processing like 2D -NL- Filtering, Segmentation, Sparse Representation, Feature Detection, Clustering, Motion -NL- Estimation -NL-  Involved in creating Hive tables, Partitioning, Bucketing, loading data and writing Hive -NL- queries -NL-  Designed and implemented Hive UDF's using Java for evaluation, filtering, loading and -NL- storing of data -NL-  Proficient in PySpark programing with Python for high-volume data processing -NL-  Experience in collecting, processing and aggregating large amounts of streaming data using -NL- Kafka and Spark Streaming -NL-  Proficient in writing MapReduce programs with Python and Java for data processing in -NL- Hadoop -NL-  Knowledge of data serialization and familiar with data formats including Orc, Avro, Parquet, -NL- XML and JSON -NL-  Experience on commercial distribution of Hadoop including HortonWorks HDP and -NL- Cloudera CDH -NL-  Experience in developing scalable solutions using NoSQL databases including Cassandra, -NL- HBase and MongoDB -NL-  Developed optimized and scalable Machine Learning algorithms capable of performing -NL- predictive modelling using SparkMLlib, H2O, Scikit-learn and other packages. Perform -NL- feature engineering to come up with effective input features for predictive models using -NL- Python on Spark -NL-  Strong knowledge of Object Oriented Programming (OOP) concepts including the use of -NL- Polymorphism, Abstraction, Inheritance, and Encapsulation -NL- **`TECHNICAL SKILLS:`[SKILLS_HEADING]** -NL- Hadoop Ecosystem\ -NL- Cloud Platform\ -NL- Hadoop2.X, Spark2.X, MapReduce, Hive2.1, \ -NL- Google Cloud Platform (Dataproc, Compute \ -NL- Impala1.2+ Sqoop1.4, Flume1.7, Kafka1.2+, \ -NL- Engine, Bucket, SQL), Amazon Web Service \ -NL- Hbase1.0+, Oozie3.0+, Zookeeper3.4+\ -NL- (EC2, EMR, S3) \ -NL- Programming Language\ -NL- Operating Systems\ -NL- Python2&3, Java8+, Scala, Matlab, Bash Shell, \ Linux, Mac OS, Windows\ -NL- C++\ -NL- Web Development\ -NL- Database\ -NL- JavaScript, jQuery, AngularJS, HTML, CSS,\ -NL- MySQL5.X, Oracle11g, Cassandra, \ -NL- Node.js\ -NL- MongoDB3.2, HBase0.98\ -NL- IDE Application\ -NL- Data Analysis & Visualization\ -NL- Atom, PyCharm, Jupyter Notebook, \ -NL- Python, Matplotlib, Seaborn, Tkinter\ -NL- Sublime Text, Eclipse, IntelliJ IDEA \ -NL- **`PROFESSIONAL EXPERIENCE:`[WORK_EXPERIENCE_HEADING]** -NL- **`Toshiba America Consumer Products`[EMPLOYER_COMPANY_NAME]**, Piscataway, NJ -NL- Mar 2019 – Till Date -NL- **`Data Engineer/BigData Developer`[EMPLOYER_ROLE]** -NL- Project Name: E-commerce Recommendation System -NL- Description -NL- **`Toshiba America Consumer Products`[EMPLOYER_COMPANY_NAME]**, L.L.C. manufactures home entertainment products. We collect -NL- data from users account, and analyzes data including product name, category, tags, score, etc. to -NL- recommend related products and get better conversion rate. The project is to design an automated -NL- system that combined both streaming and batch processing for the E-commerce data. -NL- Our team provided data processing solution including offline recommendation service, offline -NL- statistics service and real-time recommendation service using Kafka, Spark streaming, Spark SQL and -NL- Spark MLlib. -NL- Responsibilities: -NL-  Developed complete end to end BigData processing in Hadoop Ecosystem -NL-  Designed, developed, implemented, testing and maintenance of data ingestion and integration -NL- ETL pipelines including Kafka, Batch Processing, Spark Streaming -NL-  Developed Kafka producers and consumers efficient ingested data from various data sources -NL-  Developed Spark Streaming programs to process real time data from Kafka and Flume, and -NL- process data with both stateless and stateful transformations to realize real-time -NL- recommendation service and save recommendation structure to MangoDB -NL-  Worked with different data formats in HDFS -NL-  Performed analytics and drawn insights from the data -NL-  Wrote Spark SQL script in Python for testing and transformation of RDD -NL-  Experience with NoSQL databases like MangoDB and Redis -NL-  Developed Spark programs with Python using PySpark API and applied principles of -NL- functional programming to do Batch Processing -NL-  Utilized Spark SQL with DataFrame API to provide efficiently structured data processing -NL-  Developed Spark MLlib program using ALS algorithm to realize offline recommendation -NL- service and write user recommendation result matrix and product similarity matrix to -NL- MangoDB -NL-  Used Git for version control -NL- Environment: -NL- Hadoop 2.x, HDFS, Kafka 0.10.x, Spark 2.x, Spark Streaming, Spark SQL, Spark MLlib, -NL- MangoDB, Zookeeper, Git, Python3 -NL- **`NYC Subway`[EMPLOYER_COMPANY_NAME]**, New York, NY -NL- Mar 2018 – Feb 2019 -NL- **`Data Engineer/BigData Developer`[EMPLOYER_ROLE]** -NL- Description: -NL- Subway maintenance is one of the most significant job of New York MTA. In real world, subway is -NL- affected by lots of factors as well as the passenger flow. Analysis of these related data can contribute a -NL- lot to the decision of maintenance department. -NL- We analyzed the flow of passenger given some factors. The data set contains the factors such as -NL- barometric pressure, wind speed, temperature, weather, daytime, day of the week and the incidence of -NL- fog etc. among with the volume of passengers’ flow through some units or stations. Results is obtained -NL- based on some Machine Learning Algorithms such as Logistic Regression and SVM. -NL- Responsibilities: -NL-  Obtained inflow and outflow data of all NYC subway stations with multiple factors including -NL- weather conditions, outside, temperature, and days of the week -NL-  Wrote HiveQL, UDF and MapReduce jobs in Hive for data processing and analysis -NL-  Designed and created of Hive tables and worked on various performance optimizations like -NL- Partition, Bucketing in Hive -NL-  Applied Spark using Python with PySpark API to do the data batch processing, and store the -NL- output in HDFS for scalable storage and fast query -NL-  Convert raw data with sequence data format, such as Avro, and Parquet to reduce data -NL- processing time and increase data transferring efficiency through the network -NL-  Established Linear Logistic model with Spark MLlib to analyze several data parameters. -NL- Obtained changes of passenger amounts in multiple subway stations based on changing -NL- weather patterns -NL-  Created histogram in ggplot and seaborn to visualize distribution of passenger flows for each -NL- factor. -NL- Environment: -NL- Hadoop 2.x, HDFS, Hive, Spark 2.x, Spark MLlib, Git, Python3 -NL- **`Spectral Clúster`[EMPLOYER_COMPANY_NAME]**, New York, NY -NL- May 2017 – Feb 2018 -NL- **`Data Scientist/Python Developer`[EMPLOYER_ROLE]** -NL- Description: -NL- Kernel-PCA is an elegant extension of PCA, principal component analysis. It can be applied to -NL- nonlinear separable dataset through kernel trick. Similarly, Spectral Clustering can also be used to -NL- address this problem. Different from Kernel-PCA, Spectral Clustering is inspired by graph theory. In -NL- this approach, each data point is regarded as a node in a graph. -NL- To achieve better performance, we also introduced the Online Spectral Clustering Algorithm. The idea -NL- of online clustering is that a small set of data is used to train a Neural Network model of mapping -NL- function from dataset to the feature space. Then apply this model to each upcoming received data -NL- point and use K-means method to cluster the data point. -NL- In this project, we compared Kernel-PCA and Spectral Clustering and then use both approaches to get -NL- their online version of clustering. We compute the running time and accuracy of both online and -NL- offline algorithms. It shows that the accuracy of two algorithms are very close but online algorithm is -NL- much faster than offline algorithm. -NL- Responsibilities: -NL-  Compared 2 Unsupervised Machine Learning algorithms, Kernel-PCA and Spectral -NL- Clustering, on 3 datasets. -NL-  Applied Gaussian Kernel on non-linear separable dataset and get linear separable high dimens -NL- ion data -NL-  Projected high dimension data to low dimension data which is linear separable data using PCA -NL-  Trained a Neural Network using PyTorch on randomly chosen data. Applied to each -NL- upcoming data point and assigned to corresponding cluster using K-means cluster algorithm -NL-  Applied Online Spectral Clustering Algorithm on self-generated moon dataset, ring dataset, -NL- and handwriting number dataset containing 3000 data points -NL-  Accelerated Spectral Clustering algorithm by implementing online version which achieving -NL- 100x speedup. Accuracy of 2 handwriting numbers clustering is 0.98 on average. Accuracy of -NL- 3 handwriting numbers clustering is ~0.9 -NL- Environment: -NL- Jupyter Notebook, Python 3, PyTorch, Matplotlib -NL- **`Haze Design`[EMPLOYER_COMPANY_NAME]**, New York, NY -NL- Sep 2016 – Apr 2017 -NL- **`Python Developer`[EMPLOYER_ROLE]** -NL- Description: -NL- The idea of haze removal has grabbed a lot of attention with the recent increase of pollution. When -NL- pictures are taken, the pollution causes the picture to lose contrast and color, inducing haze onto the -NL- picture. -NL- The main goal of our project is to remove haze and enhance contrast of a haze picture, meanwhile -NL- retain as much detail as possible. Dark channel prior is introduced to get the dark channel of a picture. -NL- Then we apply two different methods to refine transmission, soft matting and guided filter. Plus, we -NL- use refined transmission to recover haze-free image. After obtaining the results of these methods, -NL- different recovered images will be compared to obtain the pros and cons of them. -NL- Responsibilities: -NL-  Obtained Dark Channel of Picture with Dark Channel Prior -NL-  Computed Rough Transmission Figures using image recover equation with Python and Nump -NL- y, Scipy, OpenCV libraries -NL-  Introduced Soft Matting and Guided Filter to refine the Transmission stage -NL-  Obtained results by image recover algorithm with refined transmission, then compared -NL- different recovered images and analyzed pros and cons of both methods -NL- Environment: -NL- Jupyter Notebook, Python, OpenCV, Numpy, Matplotlib -NL- **`FISTA`[EMPLOYER_COMPANY_NAME]**, ChongQing, China -NL- Dec 2015 - Aug 2016 -NL- **`Python Developer`[EMPLOYER_ROLE]** -NL- Description: -NL- Linear inverse problems arise in a wide range of applications such as astrophysics, signal and image -NL- processing, statistical inference, and optics. We considered Fast Iterative Shrinkage-Thresholding Alg -NL- orithm(**`FISTA`[EMPLOYER_COMPANY_NAME]**) for solving linear inverse problems, such as denoising. In our project, we introduced w -NL- avelet transform instead of traditional transform to get sparse coefficients.we also applied the guided -NL- filter to eliminate the artifact edges introduced by **`FISTA`[EMPLOYER_COMPANY_NAME]**. -NL- Responsibilities: -NL-  Applied **`FISTA`[EMPLOYER_COMPANY_NAME]** with Wavelet Transform on noised image to get rough denoised image using -NL- Matlab -NL-  Introduced Guided Filter to eliminate artificial blocks introduced by windowed **`FISTA`[EMPLOYER_COMPANY_NAME]**. -NL-  Obtained noise-free image witch keeps most details of original image and free from any artifac -NL- ts -NL- Environment: -NL- Python, Matlab, **`FISTA`[EMPLOYER_COMPANY_NAME]**, Guided Filter -NL- **`EDUCATION:`[EDUCATION_HEADING]** -NL-  **`Master’s`[EDUCATION_DEGREE]** in **`Electrical Engineering`[EDUCATION_COURSE]** -NL-  **`Bachelor’s`[EDUCATION_DEGREE]** in **`Electrical and Information Engineering`[EDUCATION_COURSE]** -NL- 